Kerbal Space Program - Bug #13003

Mun Biome 'Lowlands’ listed 4x
10/14/2016 01:26 PM - Olympic1

Status: Closed Start date: 10/14/2016
Severity: Very Low % Done: 100%
Assignee: TriggerAu

Category: Gameplay

Target version:

Version: 1.2.0 Language: English (US)
Platform: Linux, OSX, Windows Mod Related: No
Expansion:

Description

After each update | run a script in KSP to list all biomes of all the planets and add the new ones to the wiki.
After running the script in 1.2, | noticed that it listed 'Lowlands' 4 times for the Mun. | ran it 3 times now and it keeps listing it 4 times.

Code | use:
print ("Name: " + b.bodyName) ;
PRLME (Voo @y g
if (b.BiomeMap != null)
{
print ("Total: " + b.BiomeMap.Attributes.Length);

foreach (CBAttributeMapSO.MapAttribute biome in b.BiomeMap.Attributes)
{

print ("Name: " + biome.name);

}
else
print ("No Biomes Found!");

print("");

Output:

Total: 20

Name: Midlands

Name: Northern Basin
Name: East Crater
Name: Northwest Crater
Name: Southwest Crater
Name: Farside Crater
Name: Canyons

Name: Polar Crater
Name: Poles

Name: Polar Lowlands
Name: Highlands

Name: Highland Craters
Name: Midland Craters
Name: East Farside Crater
Name: Twin Craters
Name: Lowlands

Name: Farside Basin
Name: Lowlands

Name: Lowlands

Name: Lowlands
History

#1 - 10/15/2016 05:42 AM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Yupp theres 3 extras. will raise it

#3 - 10/21/2016 01:22 AM - TriggerAu
- Status changed from Confirmed to Being Worked On
- Assignee set to TriggerAu

- % Done changed from 10 to 30

#4 - 11/02/2016 04:40 AM - Olympic1

Confirmed that this issue is fixed in 1.2.1

#5 - 11/02/2016 06:11 AM - JPLRepo
- Status changed from Being Worked On to Closed
- % Done changed from 30 to 100

closed based on feedback above.
